/**
 * Logger utility for consistent log messages
 */
export declare enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERROR = 3,
    NONE = 4
}
/**
 * Set the current log level
 */
export declare function setLogLevel(level: LogLevel): void;
/**
 * Log a message at the specified level
 */
export declare function logWithLevel(level: LogLevel, message: string): void;
/**
 * Standard log function (INFO level)
 */
export declare function log(message: string): void;
/**
 * Debug level log
 */
export declare function debug(message: string): void;
/**
 * Warning level log
 */
export declare function warn(message: string): void;
/**
 * Error level log
 */
export declare function error(message: string): void;
/**
 * Browser-to-Node logging helper to be used in browser context
 */
export declare function createBrowserLogger(): string;
